package com.bwie.common.domain;


import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "Buy",description = "购买表")
public class Buy {

    /**
     * 主键
     */
    @Schema(
            title = "主键",
            type = "Integer",
            description = "购买主键id"
    )
    private Integer buyId;
    /**
     * 券码名称
     */
    @Schema(
            title = "券码名称",
            type = "String",
            description = "券码名称",
            defaultValue = "爱奇艺"
    )
    private String couponName;
    /**
     * 应付金额
     */
    @Schema(
            title = "应付金额",
            type = "BigDecimal",
            description = "应付金额",
            defaultValue = "14"
    )
    private BigDecimal price;
    /**
     * 购买数量
     */
    @Schema(
            title = "购买数量",
            type = "Integer",
            description = "购买数量",
            defaultValue = "1"
    )
    private Integer num;
    /**
     * 保质期
     */
    @Schema(
            title = "保质期",
            type = "String",
            description = "保质期",
            defaultValue = "1h，1month，1year"
    )
    private String savetime;
    /**
     * 是否预定购买
     */
    @Schema(
            title = "是否预定购买",
            type = "String",
            description = "是否预定购买",
            defaultValue = "Y:是，N：否"
    )
    private String orderYesNo;
    /**
     * 实付金额
     */
    @Schema(
            title = "实付金额",
            type = "String",
            description = "实付金额",
            defaultValue = "根据购买的数量以及一些购买规则决定"
    )
    private String pay;
    /**
     * 券码名称
     */
    @Schema(
            title = "券码ID",
            type = "String",
            description = "券码ID"
    )
    private Integer couponId;

    /**
     * 状态
     */
    @Schema(
            title = "状态",
            type = "Integer",
            description = "买到券的状态",
            defaultValue = "0:寄售中 1:已销售 2:待使用 3:待打款 4:完成 5:关闭"
    )
    private Integer status;
}
