package com.bwie.common.domain;

import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Tag(name = "Type",description = "类型表")
public class Type {

    /**
     * 主键
     */
    @Schema(
            title = "主键",
            type = "Integer",
            description = "主键ID"
    )
    private Integer typeId;
    /**
     * 券码分类
     */
    @Schema(
            title = "券码分类",
            type = "String",
            description = "typeName",
            defaultValue = "爱奇艺"
    )
    private String typeName;
    /**
     * 券码类型
     */
    @Schema(
            title = "券码类型",
            type = "String",
            description = "typeCoupon",
            defaultValue = "爱奇艺"
    )
    private String typeCoupon;


}
