package com.bwie.common.domain.request;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CouponReq {

    /**
     * 券码分类
     */
    @Schema(
            title = "券码分类",
            type = "String",
            description = "typeName",
            defaultValue = "爱奇艺"
    )
    private String typeName;
    /**
     * 券码类型
     */
    @Schema(
            title = "券码类型",
            type = "String",
            description = "typeCoupon",
            defaultValue = "爱奇艺"
    )
    private String typeCoupon;
    /**
     * 当前页
     */
    @Schema(
            title = "当前页",
            type = "Integer",
            description = "当前页",
            defaultValue = "1"
    )
    private Integer pageNum=1;
    /**
     * 页数
     */
    @Schema(
            title = "页数",
            type = "Integer",
            description = "页数",
            defaultValue = "3"
    )
    private Integer pageSize=3;
    /**
     * 券码名称
     */
    @Schema(
            title = "券码名称",
            type = "String",
            description = "券码名称",
            defaultValue = "爱奇艺"
    )
    private String couponName;
    /**
     * 主键
     */
    @Schema(
            title = "主键",
            type = "Integer",
            description = "主键ID"
    )
    private Integer typeId;
}
