package com.bwie.es.controller;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.domain.Coupon;
import com.bwie.common.domain.request.CouponReq;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;
import com.bwie.es.service.EsService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;


@RestController
@RequestMapping("/es")
@Log4j2
public class EsController {

    @Autowired
    private EsService service;

    @Autowired
    private HttpServletRequest request;

    /**
     * 批量添加
     */
    @PostMapping("/batchAdd")
    public Result batchAdd(@RequestBody List<Coupon> couponList) {
        log.info("功能名称：批量同步添加，请求URI:{}，请求方式：{}，请求参数：{}", request.getRequestURI(),
                request.getMethod(), JSONObject.toJSONString(couponList));
        service.batchAdd(couponList);
        Result<Object> result = Result.success();
        log.info("功能名称：批量同步添加，请求URI:{}，请求方式：{}，响应结果：{}", request.getRequestURI(),
                request.getMethod(), JSONObject.toJSONString(result));
        return result;
    }

    /**
     * 搜索
     */
    @PostMapping("/search")
    public Result<PageResult<Coupon>> search(@RequestBody CouponReq couponReq) {
        log.info("功能名称：搜索，请求URI:{}，请求方式：{}，请求参数：{}", request.getRequestURI(),
                request.getMethod(), JSONObject.toJSONString(couponReq));
        Result<PageResult<Coupon>> result = service.search(couponReq);
        log.info("功能名称：搜索，请求URI:{}，请求方式：{}，响应结果：{}", request.getRequestURI(),
                request.getMethod(), JSONObject.toJSONString(result));
        return result;
    }




}
