package com.bwie.expressage.controller;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.domain.Buy;
import com.bwie.common.result.Result;
import com.bwie.expressage.service.BuyService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@RestController
@RequestMapping("/buy")
@Log4j2
public class BuyController {

    @Autowired
    private BuyService service;
    @Autowired
    private HttpServletRequest request;

    /**
     * 购买
     * @param buy
     * @return
     */
    @PostMapping("/addBuy")
    public Result buy(@RequestBody Buy buy){
        log.info("功能名称：购买，请求URI:{}，请求方式：{}，请求参数：{}", request.getRequestURI(),
                request.getMethod(), JSONObject.toJSONString(buy));
        int i = service.addBuy(buy);
        log.info("功能名称：购买，请求URI:{}，请求方式：{}，请求参数：{}", request.getRequestURI(),
                request.getMethod(), JSONObject.toJSONString(buy));
        return Result.success(i);
    }

    /**
     * 我的购买订单列表
     * @return
     */
    @GetMapping("/show")
    public Result show(){
        log.info("功能名称：我的购买订单列表，请求URI:{}，请求方式：{}", request.getRequestURI(),
                request.getMethod());
        List<Buy> show = service.show();
        log.info("功能名称：我的购买订单列表，请求URI:{}，请求方式：{}", request.getRequestURI(),
                request.getMethod());
        return Result.success(show);
    }

    /**
     * 确认收货后修改订单状态
     * @param buyId
     * @return
     */
    @PostMapping("/updateStatus")
    public Result updateStatus(Integer buyId){
        log.info("功能名称：确认收货后修改订单状态，请求URI:{}，请求方式：{}，请求参数：{}", request.getRequestURI(),
                request.getMethod(), JSONObject.toJSONString(buyId));
        int i = service.updateStatus(buyId);
        log.info("功能名称：确认收货后修改订单状态，请求URI:{}，请求方式：{}，请求参数：{}", request.getRequestURI(),
                request.getMethod(), JSONObject.toJSONString(buyId));
        return Result.success(i);
    }
}
