package com.bwie.expressage.controller;

import com.alibaba.fastjson.JSONObject;
import com.bwie.common.domain.Coupon;
import com.bwie.common.domain.Type;
import com.bwie.common.result.Result;
import com.bwie.expressage.service.CouponService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@RestController
@RequestMapping("/coupon")
@Log4j2
public class CouponController {

    @Autowired
    private CouponService service;
    @Autowired
    private HttpServletRequest request;


    /**
     * 列表
     * @return
     */
    @GetMapping("/list")
    public Result<List<Coupon>> show(){
        log.info("功能名称：确认收货后修改订单状态，请求URI:{}，请求方式：{}", request.getRequestURI(),
                request.getMethod());
        List<Coupon> list = service.list();
        log.info("功能名称：确认收货后修改订单状态，请求URI:{}，请求方式：{}", request.getRequestURI(),
                request.getMethod());
        return Result.success(list);
    }

    /**
     * 分类浏览
     * @return
     */
    @GetMapping("/selectById")
    public Result selectById(){
        log.info("功能名称：确认收货后修改订单状态，请求URI:{}，请求方式：{}", request.getRequestURI(),
                request.getMethod());
        List<Type> types = service.selectById();
        log.info("功能名称：确认收货后修改订单状态，请求URI:{}，请求方式：{}", request.getRequestURI(),
                request.getMethod());
        return Result.success(types);
    }
}
