package com.bwie.expressage.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bwie.common.domain.Buy;
import com.bwie.expressage.mapper.BuyMapper;
import com.bwie.expressage.service.BuyService;
import lombok.SneakyThrows;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class BuyServiceImpl
    extends ServiceImpl<BuyMapper, Buy>
    implements BuyService{

    @Autowired
    private BuyMapper mapper;


    /**
     * 购买
     *
     * @param buy
     */
    @SneakyThrows
    @Override
    public int addBuy(Buy buy) {
        int i = mapper.addBuy(buy);
        if(i>0){
            return i;
        }
        throw new Exception("购买失败");
    }

    /**
     * 购买列表
     */
    @Override
    public List<Buy> show() {
        List<Buy> show = mapper.show();
        return show;
    }

    /**
     * 确认收货修改状态
     *
     * @param buyId
     */
    @SneakyThrows
    @Override
    public int updateStatus(Integer buyId) {
        int i = mapper.updateStatus(buyId);
        if(i>0){
            return i;
        }
        throw new Exception("失败");
    }
}
