package com.bwie.user.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bwie.common.domain.User;
import com.bwie.user.mapper.UserMapper;
import com.bwie.user.service.UserService;
import lombok.SneakyThrows;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class UserServiceImpl
        extends ServiceImpl<UserMapper,User>
        implements UserService {

    @Autowired
    private UserMapper mapper;


    /**
     * 发送验证码
     *
     * @param phone
     */
    @Override
    public User sendCode(String phone) {
        User user = mapper.sendCode(phone);
        return user;
    }

    /**
     * 优惠券收到货之后加款
     *
     * @param userId
     */
    @SneakyThrows
    @Override
    public int addMoney(Integer userId) {
        int i = mapper.addMoney(userId);
        if(i>0){
            return i;
        }
        throw new Exception("失败");
    }
}
